> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check column exists by slug

> Check if a column exists by its slug



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /storage/columns/existsBySlug
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/columns/existsBySlug:
    get:
      tags:
        - Storage - Columns
      summary: Check column exists by slug
      description: Check if a column exists by its slug
      parameters:
        - in: query
          name: modelUuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: Model UUID
            description: Model identifier.
          required: true
          description: Model identifier.
        - in: query
          name: slug
          schema:
            type: string
            title: Slug
            description: Column slug to check.
          required: true
          description: Column slug to check.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  exists:
                    type: boolean
                    title: Exists
                    description: Whether the column exists.
                required:
                  - exists
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````